package com.qmth.qrzk.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.qmth.qrzk.repository.service.query.PaperBatchParams;
import com.qmth.qrzk.repository.service.query.QueryParams;
import com.qmth.qrzk.repository.user.model.PaperBatch;

public interface IPaperBatchDao {
	public List<PaperBatch> queryBatch(QueryParams params);
	
	public List<PaperBatch> queryBatch(PaperBatchParams params);
	
	public int insertBatch(PaperBatch pb);
	
	public int getCount(QueryParams params);
	
	public int getCount(PaperBatchParams params);
	
	public List<PaperBatch> findByCondition(PaperBatch pb);
	
	public List<PaperBatch> findByType(PaperBatch pb,String type1,String type2,String type3);
	
	public PaperBatch findById(int batchId);
	
	public PaperBatch findTypeById(int id);
	
	public List<PaperBatch> findAllBatch();
	
	public int isSameCode(String code);
	
	public int deleteBatch(@Param("id") int id);
	
	public int updateTime(PaperBatch pb);
}
